2009-04-14  Vincent Untz  <vuntz@gnome.org>

	* configure.in: post-release bump to 2.26.2

==================== 2.26.1 ====================

2009-04-14  Vincent Untz  <vuntz@gnome.org>

	* NEWS:
	* README:
	* configure.in: version 2.26.1

2009-03-16  Vincent Untz  <vuntz@gnome.org>

	* configure.in: post-release bump to 2.26.1

==================== 2.26.0 ====================

2009-03-16  Vincent Untz  <vuntz@gnome.org>

	* NEWS:
	* README:
	* configure.in: version 2.26.0

2009-03-09  Vincent Untz  <vuntz@gnome.org>

	* configure.in: remove scrollkeeper check. This has to be done by
	gnome-doc-utils, not ourselves.

2009-03-03  Vincent Untz  <vuntz@gnome.org>

	* configure.in: post-release bump to 2.26.0

==================== 2.25.92 ====================

2009-03-03  Vincent Untz  <vuntz@gnome.org>

	* NEWS:
	* README:
	* configure.in: version 2.25.92

2009-02-17  Vincent Untz  <vuntz@gnome.org>

	* configure.in: post-release bump to 2.25.92

==================== 2.25.91 ====================

2009-02-17  Vincent Untz  <vuntz@gnome.org>

	* NEWS:
	* README:
	* configure.in: version 2.25.91

2009-02-17  Vincent Untz  <vuntz@gnome.org>

	* configure.in: require GTK+ 2.15.1 for orientable GtkBox.

2009-02-03  Vincent Untz  <vuntz@gnome.org>

	* configure.in: late post-release bump to 2.25.91

==================== 2.25.90 ====================

2009-02-03  Vincent Untz  <vuntz@gnome.org>

	* NEWS:
	* README:
	* configure.in: version 2.25.90

2009-01-21  Vincent Untz  <vuntz@gnome.org>

	* configure.in: late post-release bump to 2.25.90

==================== 2.25.5.1 ====================

2009-01-21  Vincent Untz  <vuntz@gnome.org>

	* NEWS:
	* README:
	* configure.in: version 2.25.5.1

2009-01-20  Vincent Untz  <vuntz@gnome.org>

	* configure.in: late post-release bump to 2.25.90

==================== 2.25.5 ====================

2009-01-20  Vincent Untz  <vuntz@gnome.org>

	* NEWS:
	* README:
	* configure.in: version 2.25.5

2009-01-06  Vincent Untz  <vuntz@gnome.org>

	* configure.in: late post-release bump to 2.25.5

==================== 2.25.3 ====================

2008-12-14  Vincent Untz  <vuntz@gnome.org>

	* NEWS:
	* README:
	* configure.in: prepare files for 2.25.3 release, in case I can't do it myself

2008-12-11  Vincent Untz  <vuntz@gnome.org>

	* configure.in: applets now no longer depend on libgnomeui!
	Also add some specific pkg-config checks for notification-area

2008-12-09  Vincent Untz  <vuntz@gnome.org>

	* configure.in: libpanel-applet doesn't need gdk-pixbuf, and doesn't
	need libgnomeui anymore; wncklet applets don't need gdk-pixbuf

2008-12-09  Vincent Untz  <vuntz@gnome.org>

	* configure.in: remove help/de/

2008-12-08  Vincent Untz  <vuntz@gnome.org>

	* configure.in: require glib 2.18.0 for C_().
	Fix bug #558418, part of a GNOME Goal.

2008-11-25  Vincent Untz  <vuntz@gnome.org>

	* configure.in: post-release bump to 2.24.3.

==================== 2.24.2 ====================

2008-11-25  Vincent Untz  <vuntz@gnome.org>

	* NEWS:
	* README:
	* configure.in: version 2.24.2

2008-10-22  Vincent Untz  <vuntz@gnome.org>

	* configure.in: post-release bump to 2.24.2.

==================== 2.24.1 ====================

2008-10-22  Vincent Untz  <vuntz@gnome.org>

	* NEWS:
	* README:
	* configure.in: version 2.24.1

2008-10-20  Dan Winship  <danw@gnome.org>

	* configure.in: require libgweather 2.24.1 (for
	weather_info_network_error())

2008-09-22  Vincent Untz  <vuntz@gnome.org>

	* configure.in: post-release bump to 2.24.1.

==================== 2.24.0 ====================

2008-09-22  Vincent Untz  <vuntz@gnome.org>

	* NEWS:
	* README:
	* configure.in: version 2.24.0

2008-09-09  Vincent Untz  <vuntz@gnome.org>

	* configure.in: post-release bump to 2.24.0.

==================== 2.23.92 ====================

2008-09-09  Vincent Untz  <vuntz@gnome.org>

	* NEWS:
	* README:
	* configure.in: version 2.23.92

2008-09-02  Vincent Untz  <vuntz@gnome.org>

	* configure.in: fix eds icon detection when forcing eds support

2008-09-02  Vincent Untz  <vuntz@gnome.org>

	* configure.in: post-release bump to 2.23.92.

==================== 2.23.91 ====================

2008-09-02  Vincent Untz  <vuntz@gnome.org>

	* NEWS:
	* README:
	* configure.in: version 2.23.91

2008-08-21  Vincent Untz  <vuntz@gnome.org>

	* configure.in: post-release bump to 2.23.91.

==================== 2.23.90.1 ====================

2008-08-21  Vincent Untz  <vuntz@gnome.org>

	* NEWS:
	* README:
	* configure.in: version 2.23.90.1

2008-08-18  Olav Vitters  <olav@bkor.dhs.org>

	* configure.in: post-release bump to 2.23.91.

==================== 2.23.90 ====================

2008-08-18  Olav Vitters  <olav@bkor.dhs.org>

	* NEWS:
	* README:
	* configure.in: version 2.23.90.

2008-08-04  Vincent Untz  <vuntz@gnome.org>

	* configure.in: post-release bump to 2.23.90.

==================== 2.23.6 ====================

2008-08-04  Vincent Untz  <vuntz@gnome.org>

	* NEWS:
	* README:
	* configure.in: version 2.23.6

2008-08-04  Vincent Untz  <vuntz@gnome.org>

	* configure.in: require libgweather 2.23.6

2008-08-04  Vincent Untz  <vuntz@gnome.org>

	* configure.in: explicitly require gio-unix-2.0

2008-08-03  Vincent Untz  <vuntz@gnome.org>

	* configure.in: require GTK+ 2.13.1 for GtkMountOperation

2008-07-23  Vincent Untz  <vuntz@gnome.org>

	* configure.in: post-release bump to 2.23.6.

==================== 2.23.5 ====================

2008-07-23  Vincent Untz  <vuntz@gnome.org>

	* NEWS:
	* README:
	* configure.in: version 2.23.5

2008-06-17  Vincent Untz  <vuntz@gnome.org>

	* configure.in: post-release bump to 2.23.5.

==================== 2.23.4 ====================

2008-06-17  Vincent Untz  <vuntz@gnome.org>

	* NEWS:
	* README:
	* configure.in: version 2.23.4

2008-06-17  Vincent Untz  <vuntz@gnome.org>

	* configure.in: require intltool 0.40.0
	* Makefile.am: remove old intltool cruft

2008-06-05  Vincent Untz  <vuntz@gnome.org>

	* configure.in: updated for gnome-panel/libpanel-util/

2008-06-03  Vincent Untz  <vuntz@gnome.org>

	* configure.in: post-release bump to 2.23.4.

==================== 2.23.3 ====================

2008-06-03  Vincent Untz  <vuntz@gnome.org>

	* NEWS:
	* README:
	* configure.in: version 2.23.3

2008-05-14  Vincent Untz  <vuntz@gnome.org>

	* configure.in: post-release bump to 2.23.3.

==================== 2.23.2.1 ====================

2008-05-14  Vincent Untz  <vuntz@gnome.org>

	* NEWS:
	* README:
	* configure.in: version 2.23.2.1

2008-05-14  Vincent Untz  <vuntz@gnome.org>

	* configure.in: post-release bump to 2.23.3.

==================== 2.23.2 ====================

2008-05-14  Vincent Untz  <vuntz@gnome.org>

	* NEWS:
	* README:
	* configure.in: version 2.23.2

2008-04-21  Vincent Untz  <vuntz@gnome.org>

	* configure.in: post-release bump to 2.23.2.

==================== 2.23.1 ====================

2008-04-21  Vincent Untz  <vuntz@gnome.org>

	* NEWS:
	* README:
	* configure.in: version 2.23.1

2008-04-15  Vincent Untz  <vuntz@gnome.org>

	* configure.in: post-release bump to 2.22.2.

==================== 2.22.1.3 ====================

2008-04-15  Vincent Untz  <vuntz@gnome.org>

	* NEWS:
	* README:
	* configure.in: version 2.22.1.3

2008-04-10  Lucas Rocha  <lucasr@gnome.org>

	* gnome-panel/gnome-panel.desktop.in.in: added three new 
	keys (X-GNOME-Autostart-Phase, X-GNOME-Provides, and
	X-GNOME-Autostart-Notify) which are needed to make gnome-panel 
	work nicely with new gnome-session. Fixes bug #525052.

2008-04-10  Vincent Untz  <vuntz@gnome.org>

	* configure.in: post-release bump to 2.22.2.

==================== 2.22.1.2 ====================

2008-04-10  Vincent Untz  <vuntz@gnome.org>

	* NEWS:
	* README:
	* configure.in: version 2.22.1.2

2008-04-10  Vincent Untz  <vuntz@gnome.org>

	* configure.in: add gio check for CLOCK_MECHANISM, because of the use
	of system-timezone.c

2008-04-09  Vincent Untz  <vuntz@gnome.org>

	* configure.in: if compiling with networkmanager support, require NM
	0.6 at least. Maybe it should require 0.7, but I don't know...
	Fix bug #527098

2008-04-08  Vincent Untz  <vuntz@gnome.org>

	* configure.in: post-release bump to 2.22.2.

==================== 2.22.1.1 ====================

2008-04-08  Vincent Untz  <vuntz@gnome.org>

	* NEWS:
	* README:
	* configure.in: version 2.22.1.1

2008-04-07  Vincent Untz  <vuntz@gnome.org>

	* configure.in: post-release bump to 2.22.2.

==================== 2.22.1 ====================

2008-04-07  Vincent Untz  <vuntz@gnome.org>

	* NEWS:
	* README:
	* configure.in: version 2.22.1

2008-04-07  Vincent Untz  <vuntz@gnome.org>

	* configure.in: require gweather 2.22.1, do not check for libxml and
	the locations.xml file for the clock applet
	End of bug #519823.

2008-04-02  Vincent Untz  <vuntz@gnome.org>

	* configure.in: require a recent version of gweather instead of no
	specific version. Fix bug #521374.

2008-04-02  Vincent Untz  <vuntz@gnome.org>

	* configure.in: updated for e-map removal

2008-03-10  Vincent Untz  <vuntz@gnome.org>

	* configure.in: post-release bump to 2.22.1.

==================== 2.22.0 ====================

2008-03-10  Vincent Untz  <vuntz@gnome.org>

	* NEWS:
	* README:
	* configure.in: version 2.22.0

2008-02-26  Matthias Clasen  <mclasen@redhat.com>

	* configure.in: When compiling with PolicyKit support,
	check for polkit-policy-file-validate.

2008-02-26  Olav Vitters  <olav@bkor.dhs.org>

	* configure.in: post-release bump to 2.21.93.

==================== 2.21.92 ====================

2008-02-26  Olav Vitters  <olav@bkor.dhs.org>

	* NEWS:
	* README:
	* configure.in: version 2.21.92

2008-02-25  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Require glib 2.15.6 for the g_file_has_prefix change.

2008-02-24  Olav Vitters  <olav@bkor.dhs.org>

	* applets/clock/set-timezone-dummy.c: Add set_system_timezone_async,
	needed when compiling without polkit.

	Fix bug #517685.
	Patch by Frederic Peters.

2008-02-11  Vincent Untz  <vuntz@gnome.org>

	* configure.in: post-release bump to 2.21.92.

==================== 2.21.91 ====================

2008-02-11  Vincent Untz  <vuntz@gnome.org>

	* NEWS:
	* README:
	* configure.in: version 2.21.91

2008-02-11  Vincent Untz  <vuntz@gnome.org>

	* configure.in: require gio 2.15.5

2008-02-11  Vincent Untz  <vuntz@gnome.org>

	* configure.in: we don't need gnome-vfs anymore! Free hugs for
	everyone!

2008-02-09  Vincent Untz  <vuntz@gnome.org>

	* configure.in: require gio for the panel

2008-02-09  Vincent Untz  <vuntz@gnome.org>

	* configure.in: require gio for the clock

2008-01-29  Elijah Newren <newren gmail com>

	* configure.in: post-release bump to 2.21.91.

==================== 2.21.90 ====================

2008-01-29  Elijah Newren  <newren gmail com>

	* NEWS:
	* README:
	version 2.21.90

2008-01-28  Vincent Untz  <vuntz@gnome.org>

	* configure.in: look for Locations.xml through pkg-config.
	Fix bug #509888.
	Patch by Patryk Zawadzki <patrys@pld-linux.org>

2008-01-22  Matthias Clasen  <mclasen@redhat.com>

	* configure.in:
	* icons/Makefile.am:
	* icons/48x48/*: Add a 48x48 version of gnome-panel.svg, which is
	one of the more frequently rendered svgs on the desktop.

2008-01-21  Vincent Untz  <vuntz@gnome.org>

	* configure.in: move AM_PROG_CC_C_O towards the top, to try to keep
	things readable. I know, it's not possible :-)

2008-01-16  Christian Persch  <chpe@gnome.org>

	* configure.in: Use AM_PROG_CC_C_O. Bug #509781, patch by Christian
	Kirbach.

2008-01-15  Vincent Untz  <vuntz@gnome.org>

	* configure.in: post-release bump to 2.21.90.

==================== 2.21.5 ====================

2008-01-15  Vincent Untz  <vuntz@gnome.org>

	* NEWS:
	* README:
	* configure.in: version 2.21.5

2008-01-14  Federico Mena Quintero  <federico@novell.com>

	* configure.in: Remove the check for _NL_MEASUREMENT_MEASUREMENT.

2008-01-14  Federico Mena Quintero  <federico@novell.com>

	INTLCLOCK MERGE ENDS HERE

	* applets/clock/*: Merged the International Clock applet into
	applets/clock.

2008-01-02  Federico Mena Quintero  <federico@novell.com>

	* configure.in: Add a test for _NL_MEASUREMENT_MEASUREMENT.

2008-01-02  Federico Mena Quintero  <federico@novell.com>

	* configure.in (CLOCK_MECHANISM): Check the libraries that the
	clock / timezone mechanism needs.

2007-12-05  Federico Mena Quintero  <federico@novell.com>

	* configure.in: Check for extra modules needed for the clock
	applet:  rsvg, d-bus, polkit.

	INTLCLOCK MERGE BEGINS HERE

2007-10-15  Vincent Untz  <vuntz@gnome.org>

	* configure.in: post-release bump to 2.20.2.

==================== 2.20.1 ====================

2007-10-15  Vincent Untz  <vuntz@gnome.org>

	* NEWS:
	* README:
	* configure.in: version 2.20.1

2007-09-18  Vincent Untz  <vuntz@gnome.org>

	* configure.in: post-release bump to 2.20.1.

==================== 2.20.0.1 ====================

2007-09-18  Vincent Untz  <vuntz@gnome.org>

	* NEWS:
	* README:
	* configure.in: version 2.20.0.1

2007-09-17  Vincent Untz  <vuntz@gnome.org>

	* configure.in: post-release bump to 2.20.1.

==================== 2.20.0 ====================

2007-09-17  Vincent Untz  <vuntz@gnome.org>

	* NEWS:
	* README:
	* configure.in: version 2.20.0

2007-09-04  Vincent Untz  <vuntz@gnome.org>

	* configure.in: post-release bump to 2.20.0.

==================== 2.19.92 ====================

2007-09-04  Vincent Untz  <vuntz@gnome.org>

	* NEWS:
	* README:
	* configure.in: version 2.19.92

2007-08-31  Vincent Untz  <vuntz@gnome.org>

	* MAINTAINERS: update to new format

2007-08-13  Lucas Rocha  <lucasr@gnome.org>

	* configure.in: post-release bump to 2.19.90.

==================== 2.19.6 ====================

2007-08-13  Lucas Rocha  <lucasr@gnome.org>

	* NEWS:
	* README:
	* configure.in: version 2.19.6

2007-07-30  Wouter Bolsterlee  <wbolster@svn.gnome.org>

	* NEWS: Fix last-translator extraction bug, even if I
	change history doing so :)

2007-07-08  Vincent Untz  <vuntz@gnome.org>

	* configure.in: post-release bump to 2.19.6.

==================== 2.19.5 ====================

2007-07-08  Vincent Untz  <vuntz@gnome.org>

	* NEWS:
	* README:
	* configure.in: version 2.19.5

2007-07-05  Vincent Untz  <vuntz@gnome.org>

	Changes needed for the support for timezones in the clock applet.
	Bug #88754.

	* configure.in: check for glade for the clock applet, check for
	solaris build and add new Makefile
	* icons/world_map-960.png: new
	* icons/Makefile.am: add new file

2007-07-03  Bastien Nocera  <hadess@hadess.net>

	* doc/gnome-panel-action-protocol.txt: Update the documentation
	for the action protocol, following the addition of
	_GNOME_PANEL_ACTION_KILL_DIALOG (Closes: #442625)

2007-06-29  Vincent Untz  <vuntz@gnome.org>

	* configure.in: add libbonobo and libbonoboui pkgconfig checks for the
	panel to make compilation work. It seems some pkgconfig file changed,
	and we didn't have the bonobo headers anymore...

2007-06-26  Vincent Untz  <vuntz@gnome.org>

	* configure.in: require libwnck 2.19.5 for the new tasklist sizing
	stuff.

2007-06-18  Vincent Untz  <vuntz@gnome.org>

	* configure.in: require libwnck 2.19.4

2007-06-17  Vincent Untz  <vuntz@gnome.org>

	* configure.in: post-release bump to 2.19.5.

==================== 2.19.4 ====================

2007-06-17  Vincent Untz  <vuntz@gnome.org>

	* NEWS:
	* README:
	* configure.in: version 2.19.4

2007-06-14  Vincent Untz  <vuntz@gnome.org>

	* configure.in: require gtk+ 2.11.3

2007-06-14  Vincent Untz  <vuntz@gnome.org>

	* configure.in: require glib 2.13.0

2007-06-03  Vincent Untz  <vuntz@gnome.org>

	* configure.in: post-release bump to 2.19.4.

==================== 2.19.3 ====================

2007-06-03  Vincent Untz  <vuntz@gnome.org>

	* NEWS:
	* README:
	* configure.in: version 2.19.3

2007-05-25  Vincent Untz  <vuntz@gnome.org>

	* configure.in: detect the datadir of e-d-s, since we need it for
	icons. This adds a dependency on e-d-s (for packagers who split e-d-s
	in many small libraries)

2007-05-21  Vincent Untz  <vuntz@gnome.org>

	* configure.in: rework x libraries detection
	Patch by Lo?c Minier <lool@dooz.org>
	Fix bug #409557

2007-05-18  Vincent Untz  <vuntz@gnome.org>

	* configure.in: require libwnck 2.19.3

2007-05-15  Sebastien Bacher  <seb128@ubuntu.com>

	* configure.in: fix CLOCK_TIME_UTILITY typo (Closes: #438603)

2007-05-14  Vincent Untz  <vuntz@gnome.org>

	* configure.in: post-release bump to 2.19.3.

==================== 2.19.2 ====================

2007-05-14  Vincent Untz  <vuntz@gnome.org>

	* NEWS:
	* README:
	* configure.in: version 2.19.2

2007-05-13  Vincent Untz  <vuntz@gnome.org>

	* icons/Makefile.am: install data in $(datadir)/gnome-panel/ instead
	of $(datadir)/gnome/panel/
	Fix bug #436461

2007-05-13  Vincent Untz  <vuntz@gnome.org>

	* configure.in: update for .desktop file translation

2007-05-12  Vincent Untz  <vuntz@gnome.org>

	* icons/16x16/Makefile.am (update-icon-cache): 
	* icons/24x24/Makefile.am (update-icon-cache): 
	* icons/22x22/Makefile.am (update-icon-cache): 
	* icons/32x32/Makefile.am (update-icon-cache):
	* icons/scalable/Makefile.am (update-icon-cache): fix
	gtk-update-icon-cache for uninstall-hook.
	Fix bug #436213. Patch by Brian Pepple <bpepple@fedoraproject.org>

2007-05-08  Vincent Untz  <vuntz@gnome.org>

	* configure.in: add new --with-clock-time-utility configure parameter

2007-05-01  Changwoo Ryu  <cwryu@debian.org>

	* configure.in: Removed help/ko/* output for gnome-doc-utils
	migration.

2007-04-10  Vincent Untz  <vuntz@gnome.org>

	* configure.in: post-release bump to 2.18.2.

==================== 2.18.1 ====================

2007-04-10  Vincent Untz  <vuntz@gnome.org>

	* NEWS:
	* README:
	* configure.in: version 2.18.1

2007-03-12  Vincent Untz  <vuntz@gnome.org>

	* configure.in: post-release bump to 2.18.1.

==================== 2.18.0 ====================

2007-03-12  Vincent Untz  <vuntz@gnome.org>

	* NEWS:
	* README:
	* configure.in: version 2.18.0

2007-03-06  Vincent Untz  <vuntz@gnome.org>

	* configure.in: require pango 1.15.4 for the clock, generate
	gnome-panel/gnome-panel.desktop

2007-02-26  Vincent Untz  <vuntz@gnome.org>

	* configure.in: post-release bump to 2.18.0.

==================== 2.17.92 ====================

2007-02-26  Vincent Untz  <vuntz@gnome.org>

	* NEWS:
	* README:
	* configure.in: version 2.17.92

2007-02-20  Kjartan Maraas  <kmaraas@gnome.org>

	* Makefile.am: Dist MAINTAINERS.

2007-02-18  Vincent Untz  <vuntz@gnome.org>

	* configure.in: require pango 1.15.4 for voodoo magic (vertical text
	with automatic gravity)

2007-02-17  Vincent Untz  <vuntz@gnome.org>

	* */.cvsignore: kill

2007-02-17  Vincent Untz  <vuntz@gnome.org>

	* configure.in: check for gconf for libpanel-applet
	Fix bug #382307

2007-02-12  Vincent Untz  <vuntz@gnome.org>

	* configure.in: post-release bump to 2.17.92.

==================== 2.17.91 ====================

2007-02-12  Vincent Untz  <vuntz@gnome.org>

	* NEWS:
	* README:
	* configure.in: version 2.17.91

2007-01-30  Brian Cameron  <brian.cameron@sun.com>

	* configure.in:  Now add libedataserver to the CLOCK_LIBS to
	  fix compile issue on Solaris.  Also, good for pkg-config to
	  check to make sure the right version of edataserver is on
	  the system.

2007-01-21  Vincent Untz  <vuntz@gnome.org>

	* configure.in: post-release bump to 2.17.91.

==================== 2.17.90 ====================

2007-01-21  Vincent Untz  <vuntz@gnome.org>

	* NEWS:
	* README:
	* configure.in: version 2.17.90

2007-01-17  Vincent Untz  <vuntz@gnome.org>

	* configure.in: check for langinfo.h and nl_langinfo
	Fix bug #394893
	Remove check for lockf (was for egg code)

2007-01-14  Vincent Untz  <vuntz@gnome.org>

	* configure.in: check for environ for darwin
	Part of bug #394896
	* configure.in: set warnings to maximum

2007-01-14  Vincent Untz  <vuntz@gnome.org>

	* icons/*: add launcher icon
	Fix bug #351832

2007-01-14  Vincent Untz  <vuntz@gnome.org>

	* doc/panel-keynav.txt: fix typos
	Fix bug #395654, patch by Yang Hong <yanghong@ccoss.com.cn>

2006-11-29  Stepan Kasal  <skasal@redhat.com>

	* configure.in: AM_PROG_LIBTOOL was renamed to AC_PROG_LIBTOOL.

2006-11-20  Vincent Untz  <vuntz@gnome.org>

	* configure.in: post-release bump to 2.16.3.

==================== 2.16.2 ====================

2006-11-20  Vincent Untz  <vuntz@gnome.org>

	* NEWS:
	* README:
	* configure.in: version 2.16.2

2006-11-13  Vincent Untz  <vuntz@gnome.org>

	* configure.in: better fix

2006-11-13  Vincent Untz  <vuntz@gnome.org>

	* configure.in: try to work around issues on old distros
	Should fix bug #372685

2006-10-19  Tom Tromey  <tromey@redhat.com>

	* launcher.c (panel_launcher_delete): Ensure 'location' is
	initialized.  Fix bug #359707
	
2006-10-08  Vincent Untz  <vuntz@gnome.org>

	* configure.in: check for libXau
	Fix bug #352239. Patch by Matt Keenan <matt.keenan@sun.com>

2006-10-02  Vincent Untz  <vuntz@gnome.org>

	* configure.in: post-release bump to 2.16.2.

==================== 2.16.1 ====================

2006-10-02  Vincent Untz  <vuntz@gnome.org>

	* NEWS:
	* README:
	* configure.in: version 2.16.1

2006-10-01  Vincent Untz  <vuntz@gnome.org>

	* configure.in: require libecal >= 1.6.0
	Fix bug #354377
	
2006-09-04  Vincent Untz  <vuntz@gnome.org>
	
	* .cvsignore: updated

2006-09-04  Vincent Untz  <vuntz@gnome.org>

	* configure.in: post-release bump to 2.16.1.

==================== 2.16.0 ====================

2006-09-04  Vincent Untz  <vuntz@gnome.org>

	* NEWS:
	* README:
	* configure.in: version 2.16.0

2006-09-01  Vincent Untz  <vuntz@gnome.org>

	* configure.in:
	* icons/Makefile.am:
	* icons/24x24: add 24x24 version of icons, created with
	convert -bordercolor Transparent -border 1x1 22x22icon.png 24x24icon.png

2006-08-23  Paolo Borelli  <pborelli@katamail.com>

	* gnome-panel/menu.c:
	* gnome-panel/panel-widget.c:

	plug a couple of leaks.

2006-08-22  Vincent Untz  <vuntz@gnome.org>

	* configure.in: post-release bump to 2.16.0.

==================== 2.15.92 ====================

2006-08-22  Vincent Untz  <vuntz@gnome.org>

	* NEWS:
	* README:
	* configure.in: version 2.15.92

2006-08-08  Vincent Untz  <vuntz@gnome.org>

	* configure.in: add new --with-in-process-applets to make it possible
	to compile applets as in-process applets

2006-08-08  Vincent Untz  <vuntz@gnome.org>

	* configure.in: require GTK+ 2.10.0

2006-08-08  Vincent Untz  <vuntz@gnome.org>

	* icons/16x16/Makefile.am:
	* icons/16x16/gnome-panel-force-quit.xcf.bz2: kill this source since
	we have the svg

2006-08-08  Vincent Untz  <vuntz@gnome.org>

	* configure.in: remove killed Makefiles

2006-08-08  Vincent Untz  <vuntz@gnome.org>

	* configure.in: post-release bump to 2.15.92.

==================== 2.15.91 ====================

2006-08-08  Vincent Untz  <vuntz@gnome.org>

	* NEWS:
	* README:
	* configure.in: version 2.15.91

2006-08-08  Vincent Untz  <vuntz@gnome.org>

	* configure.in:
	* icons/Makefile.am:
	* icons/16x16/*:
	* icons/22x22/*:
	* icons/32x32/*:
	* icons/scalable/*: add new icons
	* icons/gnome-main-menu.png:
	* icons/panel-force-quit.png:
	* icons/panel-separator.png: kill old icons
	Icons by Lapo Calamandrei <calamandrei@gmail.com>

2006-08-05  Vincent Untz  <vuntz@gnome.org>

	* configure.in: the wncklet applets don't depend on gnome-desktop
	anymore

2006-07-24  Vincent Untz  <vuntz@gnome.org>

	* configure.in: post-release bump to 2.15.91.

==================== 2.15.90 ====================

2006-07-24  Vincent Untz  <vuntz@gnome.org>

	* NEWS:
	* README:
	* configure.in: version 2.15.90

2006-07-24  Vincent Untz  <vuntz@gnome.org>

	* configure.in: require dbus-glib

2006-05-29  Vincent Untz  <vuntz@gnome.org>

	* configure.in: post-release bump to 2.14.3.

==================== 2.14.2 ====================

2006-05-29  Vincent Untz  <vuntz@gnome.org>

	* NEWS:
	* README:
	* configure.in: version 2.14.2

2006-05-15  Vincent Untz  <vuntz@gnome.org>
	
	* configure.in: require intltool 0.35.0

2006-04-26 Vladimer Sichinava  <vlsichinava@gmail.com>

        *po/LINGUAS: Added "mg" Malagasy language.


2006-04-25  Christian Neumair  <chris@gnome-de.org>

	* configure.in: depend on gnome-vfs 2.14.2 (gnome_vfs_volume_compare
	fixes).

2006-04-20  Wouter Bolsterlee  <uws+gnome@xs4all.nl>

	* po/LINGUAS: Put all language codes on 1 line so that configure
	doesn't complain. (bug #339007)

2006-04-16  Vincent Untz  <vuntz@gnome.org>

	* configure.in: use new intltool for the po/LINGUAS stuff

2006-04-10  Vincent Untz  <vuntz@gnome.org>

	* configure.in: post-release bump to 2.14.2.

==================== 2.14.1 ====================

2006-04-10  Vincent Untz  <vuntz@gnome.org>

	* NEWS:
	* README:
	* configure.in: version 2.14.1

2006-04-10  Wouter Bolsterlee  <uws+gnome@xs4all.nl>

	* po/LINGUAS: New file listing all supported languages.

	* configure.in: Use po/LINGUAS instead of including all languages
	directly in this file. See the wiki for more information:
	http://live.gnome.org/GnomeGoals/PoLinguas

2006-03-24  Tommi Vainikainen  <thv@iki.fi>

	* configure.in (ALL_LINGUAS): Added Dzongkha (dz).

2006-03-19  J?r?my Ar Floc'h  <jeremy.lefloch@gmail.com>

	* configure.in: Added Breton translation.

2006-03-19  Vladimer Sichinava  <vlsichinava@gmail.com>

        * configure.in: Added "ka" (Georgian) to ALL_LINGUAS

2006-03-13  Vincent Untz  <vuntz@gnome.org>

	* configure.in: post-release bump to 2.14.1.

==================== 2.14.0 ====================

2006-03-13  Vincent Untz  <vuntz@gnome.org>

	* NEWS:
	* README:
	* configure.in: version 2.14.0

2006-03-07  Vincent Untz  <vuntz@gnome.org>

	* man/gnome-panel.1: updated
	* man/gnome-panel.sgml: kill

2006-02-13  Vincent Untz  <vuntz@gnome.org>

	* configure.in: post-release bump to 2.13.92.

==================== 2.13.91 ====================

2006-02-13  Vincent Untz  <vuntz@gnome.org>

	* NEWS:
	* README:
	* configure.in: version 2.13.91

2006-01-27  Vincent Untz  <vuntz@gnome.org>

	* configure.in: post-release bump to 2.13.91.

==================== 2.13.90 ====================

2006-01-27  Vincent Untz  <vuntz@gnome.org>

	* NEWS:
	* README:
	* configure.in: version 2.13.90

2006-01-16  Vincent Untz  <vuntz@gnome.org>

	* configure.in: post-release bump to 2.13.90.

==================== 2.13.5 ====================

2006-01-16  Vincent Untz  <vuntz@gnome.org>

	* NEWS:
	* README:
	* configure.in: version 2.13.5

2006-01-16  Vincent Untz  <vuntz@gnome.org>

	* configure.in: depend on libwnck 2.13.5

2006-01-14  Vincent Untz  <vuntz@gnome.org>

	* icons/Makefile.am:
	* icons/panel-separator.png: new icon. Thanks to Manu Cornet
	<manu.cornet@gmail.com>

2006-01-11  Abel Cheung  <maddog@linuxhall.org>

	* configure.in: Added "zh_HK" to ALL_LINGUAS.

2006-01-02  Vincent Untz  <vuntz@gnome.org>

	* configure.in: post-release bump to 2.13.5.

==================== 2.13.4 ====================

2006-01-02  Vincent Untz  <vuntz@gnome.org>

	* NEWS:
	* README:
	* configure.in: version 2.13.4

2005-12-15  Vincent Untz  <vuntz@gnome.org>

	* configure.in: don't generate clock help files Makefiles

2005-12-12  Vincent Untz  <vuntz@gnome.org>

	* configure.in: post-release bump to 2.13.4.

==================== 2.13.3 ====================

2005-12-12  Vincent Untz  <vuntz@gnome.org>

	* NEWS:
	* README: version 2.13.3

2005-12-12  Vincent Untz  <vuntz@gnome.org>

	* Makefile.am: gnome-panel.spec.in is dead. Die, die!

2005-12-03  Vincent Untz  <vuntz@gnome.org>

	* configure.in: we don't need to generate the french help Makefiles
	anymore
	* gnome-panel.spec.in: really remove it

2005-11-19  Vincent Untz  <vuntz@gnome.org>

	* gnome-panel.spec.in: kill. Nobody maintains it, I'm not even sure
	someone uses it...
	* configure.in: use more gnome-common macros, do not AC_SUBST all the
	required versions, I don't think wncklet directly depend on ORBit2

2005-11-14  Vincent Untz  <vuntz@gnome.org>

	* configure.in: post-release bump to 2.13.3.

==================== 2.13.2 ====================

2005-11-14  Vincent Untz  <vuntz@gnome.org>

	* NEWS:
	* README: version 2.13.2

2005-11-14  Vincent Untz  <vuntz@gnome.org>

	* configure.in: require cairo for the fish applet
	Fix bug #319762

2005-11-07  Simos Xenitellis  <simos@gnome.org>

	* configure.in: Added ky (Kirghiz) to ALL_LINGUAS.

2005-10-28  Christian Neumair  <chris@gnome-de.org>

	* configure.in: Require libgnome 2.13.0, required for
	bookmark URI activation cancellation.

2005-10-24  Vincent Untz  <vuntz@gnome.org>

	* configure.in: post-release bump to 2.12.2.

==================== 2.13.1 ====================

2005-10-24  Vincent Untz  <vuntz@gnome.org>

	* configure.in:
	* NEWS:
	* README: version 2.13.1

2005-10-05  Frederic Crozat  <fcrozat@mandriva.com>

	* configure.in:
	Fix gnome-desktop version requirement.

2005-10-03  Vincent Untz  <vuntz@gnome.org>

	* configure.in: post-release bump to 2.12.2.

==================== 2.12.1 ====================

2005-10-03  Vincent Untz  <vuntz@gnome.org>

	* configure.in:
	* NEWS:
	* README: version 2.12.1

2005-10-03  Vincent Untz  <vuntz@gnome.org>

	* Makefile.am: add back the scrollkeeper hack since we need it for
	non-ported translations...

2005-10-03  Vincent Untz  <vuntz@gnome.org>

	* m4/.cvsignore: add gnome-doc-utils.m4

2005-10-03  Vincent Untz  <vuntz@gnome.org>

	* Makefile.am: remove scrollkeeper hack. Thanks gnome-doc-utils!
	* configure.in: require libwnck 2.11.91 and libedataserverui-1.2

2005-09-22  Alessio Frusciante  <algol@perseus>

	* configure.in: Removed references to old Italian
	translations of help files.

2005-09-05  Vincent Untz  <vuntz@gnome.org>

	* configure.in: post-release bump to 2.12.1.

==================== 2.12.0 ====================

2005-09-05  Vincent Untz  <vuntz@gnome.org>

	* configure.in:
	* NEWS:
	* README: version 2.12.0

2005-08-31  Baris Cicek <baris@teamforce.name.tr>

	* configure.in: Added ku to ALL_LINGUAS

2005-08-24  Claudio Saavedra  <csaavedra@alumnos.utalca.cl>

	* configure.in: Removing help/uk entries from AC_OUTPUT to fix
	build break.

2005-08-22  Vincent Untz  <vuntz@gnome.org>

	* configure.in: post-release bump to 2.12.0.

==================== 2.11.92 ====================

2005-08-22  Vincent Untz  <vuntz@gnome.org>

	* configure.in:
	* NEWS:
	* README: version 2.11.92

2005-08-22  Vincent Untz  <vuntz@gnome.org>

	* configure.in: kill the old es translation since it has been
	migrated, small changes to some macro calls

2005-08-09  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: post-release bump to 2.11.92.
	
==================== 2.11.91 ====================

2005-08-09  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: Version 2.11.91.
	
2005-08-04  Sunil Mohan Adapa  <sunil@atc.tcs.co.in>

	* configure.in: Added "te" to ALL_LINGUAS.

2005-07-26  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: post-release bump to 2.11.91.

==================== 2.11.90 ====================

2005-07-26  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: Version 2.11.90.
	
2005-07-26  Mark McLoughlin  <mark@skynet.ie>

	* Makefile.am: don't try and dist xmldocs.make

2005-07-21  Mark McLoughlin  <mark@skynet.ie>

	Fix for #302223 requires gdk_pixbuf_new_from_file_at_size()
	to support passing -1 for width/height.

	* configure.in: require gtk+ 2.7.1.

2005-07-19  Vincent Untz  <vuntz@gnome.org>

	* Makefile.am: add gnome-doc-utils.make to DISTCLEANFILES

2005-07-18  Vincent Untz  <vuntz@gnome.org>

	Move to gnome-doc-utils, yay!

	* Makefile.am: added gnome-doc-utils.make
	* configure.in: added GNOME_DOC_INIT and new files to generate

2005-07-15  Murray Cumming  <murrayc@murrayc.com>

	* gnome-panel/panel-run-dialog.c: (panel_run_dialog_execute),
	(pixmap_drag_data_get): Use g_ascii_strcasecmp() instead of 
	strcasecmp() to partly fix the build on Ubuntu breezy.

2005-07-13  Vincent Untz  <vuntz@gnome.org>

	* configure.in: post-release bump to 2.11.90

==================== 2.11.5 ====================

2005-07-13  Vincent Untz  <vuntz@gnome.org>

	* configure.in:
	* NEWS:
	* README: version 2.11.5

2005-07-02  Vincent Untz  <vuntz@gnome.org>

	* configure.in: post-release bump to 2.11.5

==================== 2.11.4 ====================

2005-07-02  Vincent Untz  <vuntz@gnome.org>

	* configure.in:
	* NEWS:
	* README: version 2.11.4

2005-06-07  Vincent Untz  <vuntz@gnome.org>

	* configure.in: post-release bump to 2.11.4

==================== 2.11.3 ====================

2005-06-07  Vincent Untz  <vuntz@gnome.org>

	* configure.in:
	* NEWS:
	* README: version 2.11.3 (skipping 2.11.2...)

2005-06-01  Christian Rose  <menthos@menthos.com>

	* configure.in: Added "hy" to ALL_LINGUAS.

2005-05-29  Vincent Untz  <vuntz@gnome.org>

	* AUTHORS, MAINTAINERS: update my e-mail address

2005-05-22  Christian Neumair  <chris@gnome-de.org>

	* gnome-panel/menu.c: (create_item_context_menu): Add
	"Add this launcher to desktop" menuitem to launcher
	context menu.

2005-05-18  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: post-release bump to 2.11.2

==================== 2.11.1 ====================

2005-05-18  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: Version 2.11.1.

2005-04-02  Vincent Untz  <vincent@vuntz.net>

	* help/uk/clock/.cvsignore
	* help/uk/fish/.cvsignore
	* help/uk/window-list/.cvsignore
	* help/uk/workspace-switcher/.cvsignore: new

2005-03-31  Steve Murphy  <murf@e-tools.com>

        * configure.in: Added "rw" to ALL_LINGUAS.

2005-03-23  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: require gnome-menus 2.11.1.

2005-03-23  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: bump version to 2.11.1 post branching.

2005-03-11  Adi Attar  <aattar@cvs.gnome.org>

	* configure.in: Added "xh" to ALL_LINGUAS.

2005-03-07  Vincent Untz  <vincent@vuntz.net>

	* configure.in: add check for the d_type field in dirent
	* m4/d-type.m4: added

	* gnome-panel.spec.in: update gnome-desktop dependency

2005-03-07  Vincent Untz  <vincent@vuntz.net>

	* configure.in: post-release bump to 2.10.1.

==================== 2.10.0 ====================

2005-03-07  Vincent Untz  <vincent@vuntz.net>

	* NEWS, README, configure.in: Version 2.10.0.

2005-04-01  Maxim V. Dziumanenko <mvd@mylinux.com.ua>

	* configure.in: 
	* help/Makefile.am:
	* help/uk/*:
	

2005-03-01  Vincent Untz  <vincent@vuntz.net>

	* configure.in: post-release bump to 2.10.0.

==================== 2.9.92 ====================

2005-03-01  Vincent Untz  <vincent@vuntz.net>

	* NEWS, README, configure.in: Version 2.9.92.

2005-03-01  Vincent Untz  <vincent@vuntz.net>

	* gnome-panel.spec.in: updated

2005-02-21  Elijah Newren  <newren@gmail.com>

	* configure.in: need to depend on newest version of libwnck due to
	an API change in it (part of #167998)

2005-02-07  Vincent Untz  <vincent@vuntz.net>

	* configure.in: post-release bump to 2.9.92.

==================== 2.9.91 ====================

2005-02-07  Vincent Untz  <vincent@vuntz.net>

	* NEWS, README, configure.in: Version 2.9.91.

2005-02-04  Elijah Newren  <newren@gmail.com>

	* configure.in: don't forget to depend on the newest version of
	gnome-desktop (also part of #166301).

2005-02-04  Elijah Newren  <newren@gmail.com>

	* gnome-panel/panel-util.c: (panel_ditem_launch): use the new
	gnome_desktop_item_set_launch_time() API.  Fixes #166301.

2005-02-03  Vincent Untz  <vincent@vuntz.net>

	* icons/Makefile.am:
	* icons/gnome-run.png: remove gnome-run, it's in gnome-icon-theme now
	* README: Window Menu is dead. Long live Window Selector!
	Add a link to the panel wiki page

2005-02-01  Vincent Untz  <vincent@vuntz.net>

	* m4: new directory
	* autogen.sh: require automake 1.8
	* configure.in: set the macro dir
	Fix bug #154382

2005-01-29  Vincent Untz  <vincent@vuntz.net>

	* acinclude.m4: not needed anymore (was used for esd)
	* configure.in: clean up

2005-01-26  Vincent Untz  <vincent@vuntz.net>

	* configure.in:
	* gnome-panel.spec.in: require libwnck 2.9.91

2005-01-26  Vincent Untz  <vincent@vuntz.net>

	* help/ja/mailcheck/*: killed, the mailcheck applet has been moved to
	gnome-applets, where it has been killed

2005-01-26  Vincent Untz  <vincent@vuntz.net>

	* omf-install/*: killed since this is not used

2005-01-25  Vincent Untz  <vincent@vuntz.net>

	* configure.in: post-release bump to 2.9.91.

==================== 2.9.90 ====================

2005-01-25  Vincent Untz  <vincent@vuntz.net>

	* NEWS, README, configure.in: Version 2.9.90.

2005-01-22  Pawan Chitrakar  <pawan@mpp.org.np>

	* configure.in: Added ne "Nepali" in ALL_LINGUAS

2005-01-17  Vincent Untz  <vincent@vuntz.net>

	* configure.in:
	* gnome-panel.spec.in: require libglade 2.5.0

2005-01-11  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: require gnome-menus 2.9.4.1.

2005-01-10  Vincent Untz  <vincent@vuntz.net>

	* configure.in: post-release bump to 2.9.90.

==================== 2.9.4 ====================

2005-01-10  Vincent Untz  <vincent@vuntz.net>

	* NEWS, README: Version 2.9.4.

2005-01-07  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: require latest gnome-menus for
	menu_tree_entry_get_parent() behaviour.

2005-01-03  Vincent Untz  <vincent@vuntz.net>

	Fix bug #140574

	* acconfig.h: killed
	* configure.in: removed AC_ARG_PROGRAM since it's in AM_INIT_AUTOMAKE,
	don't pkgcheck packages for MAILCHECK, add description for
	GETTEXT_PACKAGE, kill KDE_MENUDIR, KDE_ICONDIR, KDE_MINI_ICONDIR,
	KDE_DOCDIR

2005-01-02  Vincent Untz  <vincent@vuntz.net>

	* gnome-panel.spec.in: update based on Fedora spec file

2004-12-21  Vincent Untz  <vincent@vuntz.net>

	* configure.in: post-release bump to 2.9.4.

==================== 2.9.3 ====================

2004-12-21  Vincent Untz  <vincent@vuntz.net>

	* NEWS, README: Version 2.9.3.

2004-12-21  Vincent Untz  <vincent@vuntz.net>

	* .cvsignore: updated
	* README: small update

2004-12-13  Dwayne Bailey  <dwayne@translate.org.za>

	* configure.in: Added "zu" to ALL_LINGUAS.

2004-11-29  Vincent Untz  <vincent@vuntz.net>

	* configure.in: post-release bump to 2.9.3.

==================== 2.9.2 ====================

2004-11-29  Vincent Untz  <vincent@vuntz.net>

	* NEWS, README: Version 2.9.2.

2004-11-29  Dwayne Bailey  <dwayne@translate.org.za>

	* configure.in: Added "nso" to ALL_LINGUAS.

2004-11-23  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: don't require gnome-vfs-module-2.0 anymore.

2004-11-23  Marco Pesenti Gritti  <marco@gnome.org>

	* configure.in:

	Bump gnome-vfs required version

2004-11-12  Mark McLoughlin  <mark@skynet.ie>

	* icons/Makefile.am,
	  icons/launcher-program.png: remove the new launcher
	icon - its already in gnome-icon-theme.

2004-11-12  Vincent Untz  <vincent@vuntz.net>

	* help/it/clock/clock-it.omf
	* help/it/clock/clock.xml
	* help/it/clock/figures/clock_applet.png
	* help/it/fish/fish-applet-2-it.omf
	* help/it/fish/fish-applet-2.xml
	* help/it/window-list/window-list-it.omf
	* help/it/window-list/window-list.xml
	* help/it/window-list/figures/window_list_applet.png
	* help/it/window-list/figures/window_list_group_applet.png
	* help/it/workspace-switcher/workspace-switcher-it.omf
	* help/it/workspace-switcher/workspace-switcher.xml
	* help/it/workspace-switcher/figures/workspace_switcher_applet.png:
	updated docs for italian language. Fix bug #135760.

2004-11-11  Mark McLoughlin  <mark@skynet.ie>

	* icons/Makefile.am,
	  icons/launcher-program.png: new launcher
	icon from Jakub Steiner.

2004-11-09  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: require gnome-menus.

2004-11-09  Vincent Untz  <vincent@vuntz.net>

	* configure.in: post-release bump to 2.9.2.

==================== 2.9.1 ====================

2004-11-09  Vincent Untz  <vincent@vuntz.net>

	* NEWS, README: Version 2.9.1.

2004-11-07  Vincent Untz  <vincent@vuntz.net>

	* configure.in: updated libecal requirement

2004-11-04  Vincent Untz  <vincent@vuntz.net>

	* configure.in: applets/clock/cut-n-paste/ was killed

2004-10-31  Vincent Untz  <vincent@vuntz.net>

	* configure.in: applets/wncklet/eel/ was killed

2004-10-30  Vincent Untz  <vincent@vuntz.net>

	* Makefile.am: install gnome-gegl.png in the hicolor theme and the
	other gegl files in ${datadir}/gnome/panel/pixmaps

2004-10-30  Vincent Untz  <vincent@vuntz.net>

	* AUTHORS: add Arvind and myself
	* MAINTAINERS: add "E-mail: foo@bar" lines so we can have a
	gnome-panel-maint gnome.org address

2004-10-28  Vincent Untz  <vincent@vuntz.net>

	* icons/Makefile.am: add gegl_DATA to EXTRA_DIST

2004-10-28  Vincent Untz  <vincent@vuntz.net>

	* icons/Makefile.am:
	* icons/gnome-screenshot.png:
	* icons/cdeappmenu.png:
	* icons/gnome-clock.png: kill
	* icons/Makefile.am: install the gegl files in $(datadir)/pixmaps for
	now

2004-10-27  Vincent Untz  <vincent@vuntz.net>

	* icons/Makefile.am: remove gnome-amusements.png and panel-drawer.png
	(they are in gnome-icon-theme)
	* icons/gnome-amusements.png:
	* icons/panel-drawer.png: kill

2004-10-27  Vincent Untz  <vincent@vuntz.net>

	* icons/Makefile.am: remove old gnome-panel* icons and set icondir to
	the hicolor dir
	* icons/gnome-panel*: not used anymore

2004-10-26  Gora Mohanty  <gmohanty@cvs.gnome.org>
                                                                                
        * configure.in: Added 'or' to ALL_LINGUAS.
     
2004-10-11  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: require gtk+ 2.5.x

2004-10-11  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: bump version to 2.9.1. 2.8.x
	development continues on gnome-2-8 branch.

2004-10-04  Vincent Noel  <vnoel@cox.net>

	* configure.in: Make it depend on gtk+ 2.5.0.

2004-09-29  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: post-release bump to 2.8.1.

==================== 2.8.0.1 ====================

2004-09-29  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: Version 2.8.0.1.

2004-09-28  Mark McLoughlin  <mark@skynet.ie>

	* icons/gnome-clock.png,
	  icons/panel-drawer.png: revert the revert, got
	docs approval now.
	
2004-09-27  Mark McLoughlin  <mark@skynet.ie>

	* icons/gnome-clock.png,
	  icons/panel-drawer.png: revert - forgot about
	docs impact.

2004-09-27  Mark McLoughlin  <mark@skynet.ie>

	* icons/gnome-clock.png,
	  icons/panel-drawer.png: new clock and
	drawer icons from Jakub Steiner.

2004-09-14  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: post-release bump to 2.8.1.

==================== 2.8.0 ====================

2004-09-14  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: Version 2.8.0.

2004-08-31  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: post-release bump to 2.7.93.

==================== 2.7.92.1 ====================

2004-08-31  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: Version 2.7.92.1.

2004-08-30  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: post-release bump to 2.7.93.

==================== 2.7.92 ====================

2004-08-30  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: Version 2.7.92.

2004-08-28  Akagic Amila  <bono@linux.org.ba>

        * configure.in: Added 'bs' to ALL_LINGUAS.

2004-08-25 Breda McColgan <breda.mccolgan@sun.com>

	* help/C/window-list/window-list.xml: Updated for GNOME 2.8.
	* help/C/window-list/window-list-C.omf: Updated for GNOME 2.8.
	* help/C/window-list/l10n.txt: Updated for GNOME 2.8.
	* help/C/workspace-switcher/workspace-switcher.xml: Updated for GNOME 2.8.
	* help/C/workspace-switcher/workspace-switcher-C.omf: Updated for GNOME 2.8.
	* help/C/workspace-switcher/l10n.txt: Updated for GNOME 2.8.

2004-08-24  Vincent Untz  <vincent@vuntz.net>

	* man/gnome-panel-preferences.*: removed
	* man/Makefile.am: remove gnome-panel-preferences.1 from there
	Fix bug #150720.

2004-08-20  Vincent Untz  <vincent@vuntz.net>

	* help/es/window-list/window-list-es.omf: fix bug #132715
	Thanks to Alexandre Oliva <aoliva@redhat.com>

2004-08-19  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: post-release bump to 2.7.92.

==================== 2.7.91.1 ====================

2004-08-19  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: Version 2.7.91.1.

2004-08-17  J.H.M. Dassen (Ray) <jdassen@debian.org>

	* configure.in: Bumped libwnck version requirement as
	applets/wncklet/window-menu.c needs wnck_window_demands_attention which
	is new in 2.7.91.

2004-08-17  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: require libecal-1.0 >= 0.0.97.
	Fixes bug #150356.

2004-08-16  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: post-release bump to 2.7.92.

==================== 2.7.91 ====================

2004-08-16  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: Version 2.7.91.

2004-08-11  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in: Add nb to ALL_LINGUAS.

2004-08-10  Christian Neumair  <chris@gnome-de.org>

	* configure.in: s/PANELCONFIG/PANEL_SCREENSHOT/.

2004-08-10  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: require intltool 0.31, the first
	version with support for translator comments in
	XML files.

2004-08-09  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: post-release bump to 2.7.91.

==================== 2.7.90 ====================

2004-08-09  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: Version 2.7.90.

2004-08-09  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: check that xgettext supports --from-code and
	warn if not. Copied from gnome-games. See bug #149311.

2004-08-04  Mark McLoughlin  <mark@skynet.ie>

	* Makefile.am: add DISTCHECK_CONFIGURE_FLAGS = --enable-gtk-doc.

2004-07-27  Federico Mena Quintero  <federico@ximian.com>

	Fixes #148808:

	* gnome-panel/egg-recent-item.c
	(egg_recent_item_get_short_name): New public function; computes a
	valid UTF-8 string to display in a menu or list for the item's name.
	(make_valid_utf8): New helper function.

	* gnome-panel/egg-recent-item.h: Add prototype for
	egg_recent_item_get_short_name().

	* gnome-panel/egg-recent-view-gtk.c
	(egg_recent_view_gtk_new_menu_item): Use
	egg_recent_item_get_short_name().

2004-07-20  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: post-release bump to 2.7.5.

==================== 2.7.4.1 ====================

2004-07-20  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: Version 2.7.4.1.

2004-07-19  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: post-release bump to 2.7.5.

==================== 2.7.4 ====================

2004-07-19  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: Version 2.7.4.

2004-07-06  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: post-release bump to 2.7.4.
	
==================== 2.7.3 ====================

2004-07-06  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: Version 2.7.3.

2004-06-25  Sven Herzberg  <herzi@gnome-de.org>

	* doc/reference/panel-applet/panel-applet-docs.sgml: finxed a typo
	(fist applet)

2004-06-03  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: post-release bump to 2.7.2.

==================== 2.7.1 ====================

2004-06-03  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: Version 2.7.1.

2004-06-02  Mark McLoughlin  <mark@skynet.ie>

	* autogen.sh: remove the version number from the message,
	we always forget to update it.

2004-05-13  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: bump version to 2.7.1. 2.6.x development
	is now on the gnome-2-6 branch.

2004-04-21  John C Barstow  <jbowtie@amathaine.com>

        * configure.in: Added "mi" (Maori) to ALL_LINGUAS.

2004-04-19  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: post-release bump to 2.6.2

==================== 2.6.1 ====================

2004-04-19  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: Version 2.6.1.

2004-04-09  Guntupalli Karunakar  <karunakar@freedomink.org>

        * configure.in: Added "gu" (Gujarati) to ALL_LINGUAS.

2004-04-02  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: require GConf 2.6.1 from the --load
	fix for <entrys>s containing only <schema_name>s.

2004-03-31  Christian Rose  <menthos@menthos.com>

	* configure.in: Added "af" to ALL_LINGUAS.

2004-03-22  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: post-release bump to 2.6.1.

==================== 2.6.0 ====================

2004-03-22  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: Version 2.6.0.

2004-03-20  Guntupalli Karunakar  <karunakar@freedomink.org>

        * configure.in: Added "pa" (Punjabi) to ALL_LINGUAS.

2004-03-18  Guntupalli Karunakar  <karunakar@freedomink.org>

	* configure.in: Added "mr" for Marathi to ALL_LINGUAS.

==================== 2.5.93 ====================

2004-03-15  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: Version 2.5.93.

==================== 2.5.92 ====================

2004-03-09  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: Version 2.5.92.

==================== 2.5.91 ====================

2004-03-02  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: Version 2.5.91.

2004-02-25  Danilo Šegan  <dsegan@gmx.net>

	* configure.in: Added sr@ije to ALL_LINGUAS.

==================== 2.5.90 ====================

2004-02-23  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: Version 2.5.90.

2004-02-22  Christian Rose  <menthos@menthos.com>

	* configure.in: Added "en_CA" to ALL_LINGUAS.

2004-02-21  Paisa Seeluangsawat  <paisa@users.sf.net>

	* configure.in: Added Thai (th) to ALL_LINGUAS.
	
2004-02-18  Alexander Winston  <alexander.winston@comcast.net>

	* gnome-panel/menu.c: (append_log_out): Removed a redundant
	instance of the word "to." Fixes #134475.

2004-02-18 Breda McColgan <breda.mccolgan@sun.com>

	* help/C/window-list/window-list.xml: Updated for GNOME 2.6.
	* help/C/window-list/window-list-C.omf: Updated for GNOME 2.6.
	* help/C/window-list/l10n.txt: Updated for GNOME 2.6.
	* help/C/workspace-switcher/workspace-switcher.xml: Updated for GNOME 2.6.
	* help/C/workspace-switcher/workspace-switcher-C.omf: Updated for GNOME 2.6.
	* help/C/workspace-switcher/l10n.txt: Updated for GNOME 2.6.

2004-02-18  Laszlo Peter  <laca@sun.com>

	* libpanel-applet/libpanelapplet-2.0-uninstalled.pc.in: new
	* libpanel-applet/Makefile.am: add the new pc file to EXTRA_DIST
	* configure.in: add the new pc file to AC_OUTPUT

==================== 2.5.5 ====================

2004-02-16  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: Version 2.5.5.

2004-02-15  Malcolm Tredinnick <malcolm@commsecure.com.au>

	* configure.in: Allow configuration of whether to build against
	evolution-data-server or not. Fixes bug #134380.

2004-02-11 Breda McColgan <breda.mccolgan@sun.com>

	* help/C/clock/clock.xml: Updated for GNOME 2.6.
	* help/C/clock/clock-C.omf: Updated for GNOME 2.6.
	* help/C/clock/l10n.txt: Updated for GNOME 2.6.

2004-02-10  Fernando Herrera  <fherrera@onirica.com>

	* configure.in: requiere libgnomeui 2.5.4
	* gnome-panel/gnome-panel-screenshot.glade: "use_filechooser"=TRUE to
	use the new GtkFileChooser in GnomeFileEntry

2004-02-06  Tomasz K?oczko <kloczek@pld.org.pl>

	* gnome-panel/Makefile.am: Force generate $(CORBA_SRCLIST)
	  before $(panel_enum_headers) for paralel buil (make -j<N>).
 
2004-02-06  Chee Bin HOH <cbhoh@gnome.org>
     
	* applets/fish/fish.c:
	* applets/notification_area/main.c:
	* applets/wncklet/showdesktop.c:
	* applets/wncklet/window-list.c:
	* applets/wncklet/window-menu.c: 
	* applets/wncklet/workspace-switcher.c: Add documenter credit in 
	  About dialog. Fix bug #133588.

2004-02-05  Tomasz K?oczko <kloczek@pld.org.pl>

	* configure.in: Trivial cleanup: remove AC_SUBST(CFLAGS),
	  AC_SUBST(CPPFLAGS) and AC_SUBST(LDFLAGS). This variables are
	  substed by default.

==================== 2.5.4 ====================

2004-02-04  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: Version 2.5.4.

2004-02-02  Alexander Winston  <alexander.winston@comcast.net>

	* acinclude.m4: Quoted definition of macro AM_PATH_ESD. Fixes
	#133220.

2004-01-28 John Fleck <jfleck@inkstain.net>

	* help/es/window-list/window-list-es.omf
	fixing bug #132715

2004-01-26  Jason Leach  <leach@wam.umd.edu>

	* configure.in: Bump GTK+ requirements up to the recently released
	2.3.2, which we need for gdk_spawn_command_line_on_screen().
	(#131517, navkaz)

==================== 2.5.3.1 ====================

2004-01-15  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: Version 2.3.5.1.

==================== 2.5.3 ====================

2004-01-14  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: Version 2.5.3.

2004-01-13  Vincent Untz  <vincent@vuntz.net>

	* configure.in: don't do twice AC_DEFINE(HAVE_LIBECAL)

2004-01-13  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: add back applets/wncklet/eel/Makefile.

2004-01-13  Thomas Vander Stichele  <thomas at apestaart dot org>

        * configure.in: fix autoheader error for libecal

2004-01-12  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: make the clock applet use libecal
	if its installed.

2004-01-08  Vincent Untz  <vincent@vuntz.net>

	* configure.in: require intltool >= 0.29

2004-01-04  Francisco Javier F. Serrador  <serrador@cvs.gnome.org>

	* help/es: Update spanish documentation.

2004-01-03  Robert Sedak  <robert.sedak@sk.htnet.hr>

        * configure.in: Added "hr" in ALL_LINGUAS.

2003-12-10  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: require latest libgnomeui and
	gtk+ to replace the egg-screen-exec stuff.

==================== 2.5.2 ====================

2003-12-09  Mark McLoughlin  <mark@skynet.ie>
	
	* configure.in: Version 2.5.2.
	
2003-12-09  Mark McLoughlin  <mark@skynet.ie>

	* Makefile.am: some crappy distcheck fixes needed when
	using automake 1.7.
	
	* NEWS: release notes.
	
	* configure.in: bump version.

2003-12-05  Vijaykumar Patwari <vijaykumar.patwari@wipro.com>

	* gnome-panel/panel-force-quit.c (kill_window_question): Replaced
	GTK_RESPONSE_REJECT by GTK_RESPONSE_CANCEL. Fixes bug# 128356

2003-12-01  Vincent Untz  <vincent@vuntz.net>

	* sgmldocs.make: removed

2003-12-01  Vincent Untz  <vincent@vuntz.net>

	* .cvsignore: add stamp-h1, omf.make and xmldocs.make
	* autogen.sh: we now require automake >= 1.6 for the new gtk-doc stuff
	* configure.in: use the GTK_DOC_CHECK macro
	* Makefile.am: add --enable-gtk-doc when doing distcheck

2003-11-24  Fernando Herrera  <fherrera@onirica.com>

	* autogen.sh: update message to Gnome Panel 2.5

2003-11-13  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: require GConf 2.3.3 for
	gconf_client_recursive_unset().

2003-11-13  Vincent Untz  <vincent@vuntz.net>

	* man/gnome-panel.1
	* man/gnome-panel.sgml
	* man/gnome-panel-preferences.1
	* man/gnome-panel-preferences.sgml: updated the name of the packages,
	and some other minor updates. I think this is only used by Debian...
	Fix bug #122897.

==================== 2.5.1 ====================

2003-11-11  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: Version 2.5.1.

2003-11-11  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: add a --enable-deprecations flag.

2003-10-28  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: require libglade and gtk+ 2.3.0.

2003-10-23  Mark McLoughlin  <mark@skynet.ie>

	* acconfig.h: remove cruft.
	
	* configure.in: kill Xinerama check.

2003-10-14  Vincent Untz  <vincent@vuntz.net>
	
	* gnome-panel.spec.in: set the right version number.
	Patch from armijn@nl.linux.org.
	Fix bug #122018.

2003-10-13  Breda McColgan  <breda.mccolgan@sun.com>

	* help/C/fish/fish-applet-2.xml: minor updates
	* help/C/fish/fish-applet-2-C.omf: updated date and version number
	* help/C/fish/l10n.txt: added this new file
	* help/C/window-list/window-list.xml: minor updates
	* help/C/window-list/window-list-C.omf: updated date and version number
	* help/C/window-list/l10n.txt: updated Summary of Changes section
	* help/C/workspace-switcher/workspace-switcher.xml: minor updates
	* help/C/workspace-switcher/workspace-switcher-C.omf: updated date and version number
	* help/C/workspace-switcher/l10n.txt: updated Summary of Changes section

2003-10-09  Vincent Untz  <vincent@vuntz.net>

	* configure.in: build applets/wncklet/eel/Makefile

==================== 2.4.0 ====================

2003-09-09  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: Version 2.4.0.

==================== 2.3.91 ====================

2003-09-05  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: Version 2.3.91.

2003-09-04  Irene Ryan <irene.ryan@sun.com>

	* /help/C/clock/clock.xml: minor updates to Help for the GNOME 2.4 release. 
     Added information about the Adjust Date & Time menu item.
	* help/C/clock/clock-C.omf: updated the manual date/version information
	* help/C/clock/l10n.txt: updated instructions for L10N teams

==================== 2.3.90 ====================

2003-09-02  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: 2.3.90.

==================== 2.3.7 ====================

2003-08-25  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: Version 2.3.7.

2003-08-25  Irene Ryan <irene.ryan@sun.com>

	* help/C/workspace-switcher/workspace-switcher.xml, 
	  workspace-switcher-C.omf: updates to the Help for GNOME 2.4 release
   * help/C/workspace-switcher/l10n.txt: updated instructions for L10N teams

2003-08-22  Breda McColgan <Breda.McColgan@sun.com>

        * help/C/window-list/l10n.txt: updated for GNOME 2.4

2003-08-22  Breda McColgan <Breda.McColgan@sun.com>

        * help/C/window-list/window-list.xml: updated for GNOME 2.4
        * help/C/window-list/window-list-C.omf: updated manual date
          and version number

2003-08-22  Leena Gunda <leena.gunda@wipro.com>

	* gnome-panel/launcher.c (ask_about_launcher):
	Don't pass the toplevel window while creating the 'Create 
	Launcher' dialog.Fixes bugzilla bug: 120468.

2003-08-21  Narayana Pattipati <narayana.pattipati@wipro.com>

	* help/C/fish/fish-applet-2-C.omf: Correct the Category name to
	fix the 'fish' link missing problem in yelp. Bugzilla bug: 120293

==================== 2.3.6.2 ====================

2003-08-11  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: Version 2.3.6.1.

==================== 2.3.6.1 ====================

2003-08-08  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: 2.3.6.1.

2003-08-08  Guntupalli Karunakar  <karunakar@freedomink.org>

	* configure.in: Added "hi" in ALL_LINGUAS

==================== 2.3.6 ====================

2003-08-07  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: Version 2.3.6.

2003-08-05  Thomas Vander Stichele  <thomas at apestaart dot org>

	* configure.in: set ACLOCAL_AMFLAGS to fix maintainer builds

==================== 2.3.4.1 ====================

2003-07-30  Carlos Perelló Marín <carlos@gnome.org>

	* configure.in: /s/gnome-core/gnome-panel/

2003-07-24  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: version 2.3.4.1.

2003-07-17  Glynn Foster  <glynn.foster@sun.com>

	* icons/Makefile.am: Change icon installation to 
	$prefix/share/pixmaps instead of icons.

==================== 2.3.4 ====================

2003-07-15  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: Version 2.3.4.

2003-07-14  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: require GConf 2.3.1. See bug #117385.

2003-07-14  Mark McLoughlin  <mark@skynet.ie>

	* icons/gnome-run.png: Replace the old icon with a 48x48
	version of GTK_STOCK_EXECUTE. Icon from Jakub Steiner
	in bug #98907.

2003-07-02  Mark McLoughlin  <mark@skynet.ie>

	* icons/Makefile.am:
	* icons/gnome-main-menu.png: install an icon for
	gnome-main-menu. Same icon as gnome-logo-icon-transparent
	by default.

==================== 2.3.3.3 ====================

2003-07-02  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: Version 2.3.3.3.

==================== 2.3.3.2 ====================

2003-07-01  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: Version 2.3.3.2.

2003-06-27  Mohammad DAMT  <mdamt@bisnisweb.com>

	* po/id.po: Added Indonesian translation by Erwin Sanjaya <erwin@boens.net>
	* configure.in: Added "id" to ALL_LINGUAS

2003-06-13 Mark Finlay <sisob@eircom.net>

	*applets/notification_area/GNOME_NotificationAreaApplet.server.in.in:
	Use gnome-notification-area.png instead of batstat.png

==================== 2.3.3.1 ====================

2003-06-12  Mark McLoughlin  <mark@skynet.ie>
	
	* configure.in: Version 2.3.3.1.

2003-06-12  Mark McLoughlin  <mark@skynet.ie>
	
	* Makefile.am: dist xmldocs.make and omf.make again.

==================== 2.3.3 ====================

2003-06-06  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: Version 2.3.3.

2003-06-06  Mark McLoughlin  <mark@skynet.ie>

	* Makefile.am: kill xmldocs.make and omf.make.

2003-06-06  Michael Meeks  <michael@ximian.com>

	* icons/Makefile.am (icon_DATA): remove
	gnome-lockscreen.png from the build.

2003-06-05 Mark Finlay <sisob@eircom.net>

	* icons/gnome-lockscreen.png: Remove icon in 
	favour of new icon in gnome-icon-theme head. 

2003-05-30  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: we require gnome-vfs >= 2.3.1

2003-05-28 John Fleck <jfleck@inkstain.net>

	remove
	* xmldocs.make, omf.make
	change
	* autogen.sh
	update to new docs build system, which pulls xmldocs.make
	and omf.make from gnome-common
	requires gnome-common 2.3.0 or greater

2003-05-27  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: Version 2.3.2.1.

2003-05-22  Telsa Gwynne  <hobbit@aloss.ukuu.org.uk>

	* configure.in: Added "cy" (Welsh) to ALL_LINGUAS

2003-05-20  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: Version 2.3.2.

2003-05-19  Kenneth Rohde Christiansen  <kenneth@gnu.org>

	* configure.in: Added Limburgish to ALL_LINGUAS.

2003-05-19  Taneem Ahmed  <taneem@eyetap.org>

	* configure.in: Added "bn" to ALL_LINGUAS.

2003-05-15  Mark McLoughlin  <mark@skynet.ie>

	* sgmldocs.make: replace leading spaces with tabs.
	Fix from Art Haas.

2003-05-15  Mark McLoughlin  <mark@skynet.ie>

	* Makefile.am:
	* configure.in: actually build the icons dir. Doh.

2003-05-14  Masahiro Sakai  <sakai@tom.sfc.keio.ac.jp>

	* configure.in: call AC_LIBTOOL_WIN32_DLL which is necessary for
	building shared library on win32 platform.
	check lockf() for egg-recent-files.

	* libpanel-applet/Makefile.am (libpanel_applet_2_la_LDFLAGS):
	* applets/clock/Makefile.am (libclock_applet_2_la_LDFLAGS):
	add -no-undefined which is necessary for building shared library on
	some platforms (e.g. Win32 and BeOS).

	* gnome-panel/egg-recent-model.c: disable egg_recent_model_lock_file()
	and egg_recent_model_unlock_file() when lockf() isn't available.
	[FIXME: should be implemented using fcntl() and F_SETLK in such case.]

2003-05-13  Greg Merchan  <merchan@phys.lsu.edu>
	* applets/fish/fish.c, applets/notification_area/main.c,
	  applets/clock/clock.c, applets/wncklet/showdesktop.c,
	  applets/wncklet/window-list.c, applets/wncklet/window-menu.c,
	  applets/wncklet/workspace-switcher.c,
	  gnome-panel/gnome-panel-preferences.c,
	  gnome-panel/gnome-panel-screenshot.c
	Change GTK_BUTTONS_CLOSE to GTK_BUTTONS_OK for HIG compliance
	Fixes bug 112202

2003-05-13  Mark McLoughlin  <mark@skynet.ie>

	* icons/Makefile.am: install them.

	* icons/cdeappmenu.png,
	  icons/gnome-amusements.png,
	  icons/gnome-clock.png,
	  icons/gnome-gegl2-2.png,
	  icons/gnome-gegl2.png,
	  icons/gnome-gegl2.png,
	  icons/gnome-gegl.png,
	  icons/gnome-lockscreen.png,
	  icons/gnome-panel.png,
	  icons/gnome-panel-type-corner.png,
	  icons/gnome-panel-type-edge.png,
	  icons/gnome-panel-type-floating.png,
	  icons/gnome-panel-type-menu.png,
	  icons/gnome-panel-type-sliding.png,
	  icons/gnome-run.png,
	  icons/gnome-screenshot.png,
	  icons/panel-drawer.png: copy all these over from
	gnome-desktop.
	
2003-05-13  Mark McLoughlin  <mark@skynet.ie>

	* icons/panel-force-quit.png: new version of the icon
	from Calum.

2003-05-13  Mark McLoughlin  <mark@skynet.ie>

	* icons/panel-force-quit.png: add force quit icon.

2003-05-06  Danilo Šegan  <dsegan@gmx.net>

	* configure.in: Removed "sp" and added "sr@Latn" to ALL_LINGUAS.

2003-05-05  Telsa Gwynne  <hobbit@aloss.ukuu.org.uk>

        * configure.in: Added cy to ALL_LINGUAS

        * po/cy.po: Added

2003-05-04  Arvind Samptur  <arvind.samptur@wipro.com>
	
	* configure.in: Version 2.3.1
	
	* NEWS: Update for 2.3.1

2003-04-17  Christian Neumair  <chris@gnome-de.org>

	* autogen.sh: PKG_NAME now is "GNOME 2.4 Panel" (#110835).

2003-04-01  Mike Lei <mike.lei@sun.com>

	* configure.in: Added online help support for
	  clock,window-list,fish,workspace-switcher
       
	* doc files for above modules

2003-03-26  Christian Rose  <menthos@menthos.com>

	* configure.in: Added "yi" to ALL_LINGUAS.

2003-03-26  Arvind Samptur  <arvind.samptur@wipro.com>

	* configure.in: bump version back to 2.3.0 from
	2.3.1. Guess, Mark missed that 2.3.0 release was on.

2003-03-13  Christian Rose  <menthos@menthos.com>

	* configure.in: Added "ml" to ALL_LINGUAS.

2003-03-13  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: require libwnck 2.3.0.

2003-03-10  Christian Rose  <menthos@menthos.com>

	* configure.in: Added "eo" to ALL_LINGUAS.

2003-03-07  Mark McLoughlin  <mark@skynet.ie>

	* applets/mailcheck/*: move to gnome-applets.

	* help/*/mailcheck/*: move to gnome-applets.

2003-02-24  Mark McLoughlin  <mark@skynet.ie>

	* doc/gnome-panel-action-protocol.txt: add short
	doc on the panel <--> WM ClientMessage protocol.

2003-02-21  Roozbeh Pournader  <roozbeh@shairf.edu>

	* configure.in: Added Persian translation.
	
2003-02-17  Mark McLoughlin  <mark@skynet.ie>

	* configure.in, doc/reference/panel-applet/Makefile.am:
	add a --with-html-dir arg to specify where to install
	the html docs. Patch from Julio Merino.

2003-02-13 Irene Ryan <irene.ryan@sun.com>

	* help/C/window-list/window-list.xml: Updated the help to
     reflect the fact that windows of the same process are
     grouped in the applet rather than windows of the same class.
	* help/C/window-list/window-list-C.omf: updated the release
     information for the help manual.

2003-02-11  Dan Mills  <thunder@ximian.com>

	* configure.in: Create makefiles in help/ja/*.

2003-02-11  Takeshi AIHANA <aihana@gnome.gr.jp>

	* help/ja/clock/*, help/ja/fish/*, help/ja/mailcheck/*,
	  help/ja/window-list/*, help/ja/workspace-switcher/*:
	  added documents for Japanese translation from 
        KAMAGASAKO Masatoshi <emerald@gnome.gr.jp>.
	* help/Makefile.am: add ja into SUBDIRS.

2003-01-29  James Willcox  <jwillcox@gnome.org>

	* gnome-panel/panel-recent.c: (show_uri):

	Quote filenames so that ones with spaces work.

2003-01-27  Laurent Dhima  <laurenti@alblinux.net>

	* configure.in: Added "sq" to ALL_LINGUAS.
	  
2003-01-27  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: gen cflags/libs/makefiles for mailcheck
	and clock and not gen_util.

2003-01-24  Christian Rose  <menthos@menthos.com>

	* configure.in: Added "mn" to ALL_LINGUAS.

2003-01-23  Breda McColgan <Breda.McColgan@sun.com>

        * help/C/clock/clock.xml: updated for GNOME 2.2
        * help/C/clock/clock-C.omf: updated manual date
          and version number
        * help/C/clock/figures/clock_applet.png: updated for GNOME 2.2

        * help/C/window-list/window-list.xml: updated for GNOME 2.2
        * help/C/window-list/window-list-C.omf: updated manual date
          and version number

2003-01-23  Irene Ryan <irene.ryan@sun.com>

	* help/C/fish/fish-applet-2.xml: updated for GNOME 2.2
	* help/C/fish/fish-applet-2-C.omf: updated manual release info

2003-01-10  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: don't require libwnck for the panel.
	Only the wncklet uses it now.

2003-01-10  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: check for gdk-pixbuf-csource, add
	GEN_UTIL_CFLAGS/LIBS and build applets/wncklet/Makefile.

2003-01-10  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: bump version to 2.3.1. All
	GNOME 2.2 development is now happening on
	the gnome-2-2 branch.

2003-01-06  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: Version 2.1.90.1.

2003-01-06  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: Version 2.1.90.

2003-01-06  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: require gnome-vfs >= 2.1.3 for
	the recent files menu.

2003-01-05  Pablo Saratxaga  <pablo@mandrakesoft.com>

	* configure.in: Added Amharaic 'am' to ALL_LINGUAS

2002-12-19  Christian Neumair  <chris@gnome-de.org>

	* applets/fish/fish.c, applets/gen_util/clock.c, 
	applets/gen_util/mailcheck.c, applets/gen_util/pager.c, 
	applets/gen_util/printer.c, applets/gen_util/showdesktop.c,
	applets/gen_util/tasklist.c, applets/notification_area/main.c, 
	gnome-panel/menu.c: Changed Copyright strings (#101346).

2002-12-19  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: require libbonoboui >= 2.1.1
	for the control life instrumentation API.

2002-12-18  Mark McLoughlin  <mark@skynet.ie>

	* help/C/clock/*, help/C/mailcheck/*,
	  help/C/workspace-switcher/*, help/C/window-list/*,
	  help/C/fish/*: move all these docs to here.

2002-12-17  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: Version 2.1.5.

2002-12-11  Frederic Crozat  <fcrozat@mandrakesoft.com>

	* configure.in:
	require gnome-desktop >= 2.1.4 for
	gnome_desktop_item_drop_uri_list_with_env

2002-12-10  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: Version 2.1.4.

2002-12-09  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: define FISH_CFLAGS.

2002-11-29  Havoc Pennington  <hp@pobox.com>

	* configure.in: require libwnck 2.1.5 for new interfaces for
	tasklist icon loading
	(WNCKLET): add gnome-desktop-2.0 as a dependency of the WNCKLETs

2002-11-28  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: Version 2.1.3.

2002-11-22  Dan Mills  <thunder@ximian.com>

	* configure.in: fix gtk-doc version check.

2002-11-15  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: require libbonobui HEAD.

2002-11-04  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: actually check for libgnome wally.

2002-11-04  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: Version 2.1.2.

2002-11-03  Havoc Pennington  <hp@pobox.com>

	* configure.in: require libwnck 2.1.3 for new workspace prefs
	handling code for pager applet

2002-11-03  Dmitry G. Mastrukov  <dmitry@taurussoft.org>

	* configure.in: Added Belarusian to ALL_LINGUAS

2002-10-31  Havoc Pennington  <hp@pobox.com>

	* configure.in: add applets/notification_area/Makefile to
	AC_OUTPUT

	* applets/notification_area: move in the system tray, renamed 
	notification area

2002-10-16  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: require libgnome-2.1.0. We actually
	want HEAD, but who's counting ...

2002-10-14  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: Version 2.1.1.

2002-10-04  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: kill the HAVE_GTK_MULTIHEAD
	check from here ...

	* acconfig.h: ... just define it here.

2002-09-28  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: Version 2.1.0.

2002-09-27  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Require libgnomeui 2.1.0

2002-09-23  Havoc Pennington  <hp@pobox.com>

	* configure.in: require a newer libwnck

2002-09-20  James Willcox  <jwillcox@gnome.org>

	* configure.in: Look for gtk-2.1, and define HAVE_GTK_MULTIHEAD for
	egg-screen-exec to work properly.

2002-09-16  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: require libwnck and gtk+ HEAD.

2002-09-10  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: keep libtool version in
	sync with the gnome-2-0 branch.

2002-08-07  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: add a check for the shape
	extension.

2002-07-30  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: check for libwnck multiscreen patch.

2002-07-30  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: set version to 2.1.0. 2.0.x
	development is on the gnome-2-0 branch.

2002-07-30  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: Version 2.0.3.

2002-07-30  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: move LT_VERSION definition
	from libpanel-applet/Makefile.am

2002-07-22  Mark McLoughlin  <mark@skynet.ie>

	* man/Makefile.am:
	* man/gnome-panel-2.1, gnome-panel-2.sgml: rename
	to gnome-panel.* to reflect current binary name.

2002-07-19  Frederic Crozat  <fcrozat@mandrakesoft.com>

	* gnome-panel/panel.c: (drop_urilist):
	correctly handle dropping .desktop on panel

2002-07-19  Mark McLoughlin  <mark@skynet.ie>

	* man/Makefile.am:
	* man/gnome-panel-properties.1:
	* man/gnome-panel-properties.sgml: rename
	these to gnome-panel-preferences.*

2002-07-15  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: Version 2.0.2.

2002-07-09  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: patch from Ali Akcaagac to
	check for scrollkeeper-config. #85390.

2002-06-29  Jan Van Buggenhout <Chipzz@ULYSSIS.Org>

	* gnome-panel/.cvsignore, applets/gen_util/help/C/.cvsignore:
	delete some entries that shouldn't be left out.

2002-06-27  Frederic Crozat  <fcrozat@mandrakesoft.com>

	* gnome-panel/panel.c: (drop_directory):
	remove uri_exists and use panel_uri_exists instead

2002-06-25  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: add check for gtk+ 2.1.x and
	define HAVE_GTK_MULTIHEAD if found.

2002-06-21  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: enable compile warnings.

2002-06-21  Mark McLoughlin  <mark@skynet.ie>

	* removing more obsolete docs:
	applets/fish/help/da/*
	applets/fish/help/it/*
	applets/fish/help/no/*
	applets/gen_util/help/da/*
	applets/gen_util/help/es/*
	applets/gen_util/help/it/*
	applets/gen_util/help/no/*
	gnome-panel/help/C/TODO
	gnome-panel/help/de/*
	gnome-panel/help/es/*
	gnome-panel/help/it/*
	gnome-panel/help/ja/*
	gnome-panel/help/no/*

2002-06-20 John Fleck <jfleck@inkstain.net>

	removing:
	applets/fish/help/C/fish.sgml
	applets/fish/help/C/fish_applet-C.omf
	applets/fish/help/C/fish_applet.sgml
	applets/gen_util/help/C/printer/printer.sgml
	applets/gen_util/help/C/printer/printer_applet.sgml
	applets/gen_util/help/C/printer/topic.dat
	applets/gen_util/help/C/printer/topic.dat
	old docs no longer relevant

2002-06-17  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: Version 2.0.1.

2002-06-10  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: Version 2.0.0.

2002-06-07  Sander Vesik <sander.vesik@sun.com>

	* configure.in, gnome-panel/Makefile.am: remove old obsolete docs

2002-06-05  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: Version 1.5.24.

2002-05-28  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: Version 1.5.23.

2002-05-27  Chris Lyttle  <chris@wilddev.net>

	* omf.make: added for new scrollkeeper system
	* xmldocs.make: updated for new scrollkeeper
	* Makefile.am: updated for new scrollkeeper, remove omf-install
	* configure.in: updated for new scrollkeeper, remove omf-install
	* gnome-panel/help/C/Makefile.am: changed figs to figdir
	* gnome-panel/help/C/panel-C.omf: updated to new scrollkeeper format
	* applets/fish/help/C/Makefile.am: changed figs to figdir
	* applets/gen_util/help/C/clock/Makefile.am: changed figs to figdir
	* applets/gen_util/help/C/mailcheck/Makefile.am: changed figs to
	figdir
	* applets/gen_util/help/C/window-list/Makefile.am: changed figs to
	figdir
	* applets/gen_util/help/C/workspace-switcher/Makefile.am: changed figs
	to figdir
	* applets/gen_util/help/C/mailcheck/mailcheck-C.omf: updated to new
	scrollkeeper format
	
2002-05-21  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: Version 1.5.22.

2002-05-20  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: require intltool-0.21 for distcheck fix.

2002-05-20  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: require intltool-0.20 for .schemas
	file translation.

2002-05-18  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in: Added "mk" to ALL_LINGUAS.
	
2002-05-16  Mark McLoughlin  <mark@skynet.ie>

	* HACKING, README: update to be a little more useful.

2002-05-14  Anders Carlsson  <andersca@gnu.org>

	* configure.in:
	Require libwnck 0.11
	
2002-05-13  Glynn Foster <glynn.foster@sun.com>

	* configure.in: Version 1.5.21.
	* NEWS: Update

2002-05-09 Sander Vesik <sander.vesik@sun.com>

	* configure.in, applets/fish/Makefile.am: give docs back to Wanda

2002-05-06 Glynn Foster <glynn.foster@sun.com>

	* configure.in: Version 1.5.20

2002-04-30 John Fleck <jfleck@inkstain.net>

	* applets/gen_util/help/C/workspace-switcher/workspace-switcher-C.omf
	* applets/gen_util/help/C/window-list/window-list-C.omf
	updating omf files to match new dtd in SK 0.3.8 et. seq.

2002-04-30 John Fleck <jfleck@inkstain.net>

	* applets/gen_util/help/C/clock/clock.xml,
	clock-C.xml
	update docs 'cause of UI change, fixing bug
	#75108

2002-04-29  Glynn Foster  <glynn.foster@sun.com>

	* NEWS: Update for 1.5.19.

2002-04-29  Glynn Foster <glynn.foster@sun.com>

	* configure.in: Version 1.5.19.

2002-04-28  Pablo Saratxaga  <pablo@mandrakesoft.com>

	* configure.in: Added Vietnamese 'vi' to ALL_LINGUAS

2002-04-22  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: Version 1.5.18.

2002-04-18  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: update our requirements so

	people aren't using crufty libraries.

2002-04-17  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: require libwnck 0.8.

2002-04-15  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: Version 1.5.17.

2002-04-15  Mark McLoughlin  <mark@skynet.ie>

	* xmldocs.make: use tabs instead of spaces

2002-04-01  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: Version 1.5.16

2002-03-18  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: Version 1.5.15.

2002-03-21  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: kill libglade-convert check.

2002-03-18  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: version 1.5.14

2002-03-12  Glynn Foster <glynn.foster@sun.com>

	* README: Update for gnome-core split.
	* autogen.sh: Update for gnome-core split.
	* configure.in: Update for gnome-core split.
	* gnome-panel.spec.in: Fix small gconf schema spec error.

2002-03-12  Shivram U  <shivaram.upadhyayula@wipro.com>

	* configure.in : Checking for X Development libraries explicitly.
	* gnome-panel/Makefile.am : Added lib X11 to the LDADD flags. Fixes
	# 73881

2002-03-11  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: version 1.5.13

2002-03-10 John Fleck <jfleck@inkstain.net>

	* configure.in
	add workspace-changer and window-list help files to the build
	(these are the new names for tasklist and pager)

2002-04-06  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: require libgnomeui 1.112.0 because we
	depend on the impl of get_popup_component.

2002-03-05 John Fleck <jfleck@inkstain.net>

	* omf-install/Makefile.am
	fix omf_dest_dir to point at gnome-panel

2002-03-04  Gregory Leblanc  <gleblanc@linuxweasel.com>

	* gnome-panel.spec.in: Basically re-written.  Works now, enjoy

2002-04-03  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: Version 1.5.12.

2002-02-18  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: require intltool 0.17, not 0.19, which
	doesn't seem to exist yet ...

2002-02-18  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: Version 1.5.11.

Thu Feb 21 19:26:32 2002  George Lebl <jirka@5z.com>

	* configure.in: correctly detect xinerama libs fixes bug #70789

2002-02-19  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: rely on intltool 0.19, even though
	the param to the macro is ingored.

	* man/Makefile.am: don't install manpages for binaries
	not installed by this package.

2002-02-18  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: Version 1.5.10

2002-02-17  Alexander Larsson  <alla@lysator.liu.se>

	* configure.in:
	Require libwnck 0.5
	
2002-02-17  Alexander Larsson  <alla@lysator.liu.se>

	* configure.in:
	Require libwnck 0.4

2002-02-13 John Fleck <jfleck@inkstain.net>

	* applets/gen_util/help/C/clock/clock.xml,legal.xml
	./figures/clock_applet.png
	updating docs with new stuff from Pat Costello

2002-02-13  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: Version 1.5.9

2002-02-13  Mark McLoughlin  <mark@skynet.ie>

	* AUTHORS: upd for gnome-panel, libpanel-applet and
	applets authors.

	* NEWS: upd.

	* configure.in: remove cruft.

	* Makefile.am: 
	* gnome-panel.spec.in: rename spec file.

2002-02-12  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: change GETTEXT_PACKAGE. Thanks Jacob.

2002-02-12  Mark McLoughlin  <mark@skynet.ie>

	gnome-panel module split off from gnome-core.

	* Makefile.am, autogen.sh, configure.in: initial work
	to get things building.

